moovexDocs

Get profiles

Retrieve paginated list of profiles.

GET/profiles

Query Parameters

ParameterTypeRequiredDescription
sortstringNoSort by field:asc/desc Allowed: asc, desc
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 10,
      "name": "Corporate Client",
      "phone": "+15551234567",
      "email": "client@example.com",
      "billing": {
        "name": "Finance Dept",
        "email": "finance@example.com",
        "phone": "+15550987654",
        "address": {
          "name": "123 Billing St",
          "lat": 32.0853,
          "lng": 34.7818,
          "isLocation": false
        }
      },
      "jobPreferences": {
        "attributesIds": [
          7
        ],
        "servicesIds": [
          8
        ]
      },
      "contacts": [
        {
          "name": "Alice Manager",
          "type": "primary",
          "email": "alice@example.com",
          "phone": "+15551112222",
          "fax": "",
          "comments": ""
        }
      ],
      "rules": [
        {
          "name": "MaxPassengers",
          "type": "percentRounded",
          "value": 4
        }
      ]
    }
  ]
}

On this page